> ## Documentation Index
> Fetch the complete documentation index at: https://api.monument.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Charge a reservation deposit for a lead

> Charges the deposit and promotes the lead to DEPOSIT_RESERVED.



## OpenAPI

````yaml /openapi/shopping-openapi.json post /shopping/{portfolio}/v1/facilities/lead/{leadUuid}/deposit
openapi: 3.0.0
info:
  title: Monument Shopping API
  description: Monument Shopping API
  version: '1.0'
  contact: {}
servers:
  - url: https://public-api.prd.monument.io
    description: Production
  - url: https://public-api.stg.monument.io
    description: Staging
security: []
tags:
  - name: Facilities
    description: Facility listing, details, and configuration
  - name: Leads
    description: Lead creation, updates, status, and pre-existing tenant validation
  - name: Shopping Cart
    description: Cart operations and access plans
  - name: Unit Groups
    description: Unit group details and taxes
  - name: Units
    description: Unit and gate access code retrieval
  - name: Payments
    description: Payment profiles and processor information
  - name: Brands
    description: Branding configuration and brand-scoped facilities
  - name: Coverages
    description: Coverage options and private coverage info
  - name: Leases
    description: Lease signing redirects
  - name: Organizations
    description: Portfolio organization information
  - name: Lead Marketing Sources
    description: Marketing source listing
  - name: Lead Sources
    description: Lead source listing
paths:
  /shopping/{portfolio}/v1/facilities/lead/{leadUuid}/deposit:
    post:
      tags:
        - Facilities
        - Leads
      summary: Charge a reservation deposit for a lead
      description: Charges the deposit and promotes the lead to DEPOSIT_RESERVED.
      operationId: PublicApiFacilitiesController_chargeLeadDeposit
      parameters:
        - name: leadUuid
          required: true
          in: path
          schema:
            type: string
        - name: portfolio
          required: true
          in: path
          schema:
            type: string
        - in: header
          required: true
          name: x-api-key
          schema:
            example: monument-2230012-2312321
            description: >-
              Api key required to authenticate your request. Please reach out to
              monument for a key.
      responses:
        '201':
          description: Result of the deposit charge attempt
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PostLeadDepositResponseDto'
components:
  schemas:
    PostLeadDepositResponseDto:
      type: object
      properties:
        leadUuid:
          type: string
          format: uuid
        leadStatus:
          type: string
          description: DEPOSIT_RESERVED on a successful charge, RESERVED on decline
        unitUuid:
          type: string
          nullable: true
          format: uuid
          description: The unit assigned and held, only present on a successful charge
        depositAmountInPennies:
          type: number
          nullable: true
          description: The deposit amount charged, in pennies
        declined:
          type: boolean
          description: True when the gateway declined the charge
        errorMessage:
          type: string
          nullable: true
      required:
        - leadUuid
        - leadStatus
        - unitUuid
        - depositAmountInPennies
        - declined
        - errorMessage

````